# Interface CompiledExpressionHandlerMap

Map used for expressions that watch specific object keys.

interface CompiledExpressionHandlerMap {
constant: boolean;
isPure?: boolean;
keyMap: Map<string, Function>;
literal: boolean;
oneTime: boolean;
}

- Defined in src/core/parse/interface.ts:60

##### Index

### Properties

constant
isPure?
keyMap
literal
oneTime

## Properties

### constant

constant: boolean

Indicates if the expression is constant.

- Defined in src/core/parse/interface.ts:64

### `Optional` isPure

isPure?: boolean

Optional flag for pure expressions.

- Defined in src/core/parse/interface.ts:66

### keyMap

keyMap: Map<string, Function>

A map of property keys to observe.

- Defined in src/core/parse/interface.ts:70

### literal

literal: boolean

Indicates if the expression is a literal.

- Defined in src/core/parse/interface.ts:62

### oneTime

oneTime: boolean

Indicates if the expression should be evaluated only once.

- Defined in src/core/parse/interface.ts:68